# Build

## Prerequisites
* angular cli (https://angular.io/guide/setup-local), included verison built using angular cli 8.3.9
* go (https://golang.org/doc/install), included version built using go1.14.2

## Frontend
Build frontend in `web/canvas-group-lti-ui` with `ng build --prod`. Before first build `npm ci` needs to be run.

## Backend
Build and run backend with `go build && ./canvas-group-lti`

## Run application locally
Application will only work if launched from Canvas, to run locally:
* point host name to `127.0.0.1` in `/etc/hosts`
* `go run . `
* (navigate to your host using a browser to accept the certificate warning)
* log in to Canvas and launch application
