import { Component, OnInit } from '@angular/core';

import { GroupService } from '../shared/services/group.service';
import { EducationalResource } from '../shared/models/educational-resource';

@Component({
  selector: 'app-education',
  templateUrl: './education.component.html',
  styleUrls: ['./education.component.css']
})
export class EducationComponent implements OnInit {

  eduresources: EducationalResource[];

  constructor(private groupService: GroupService) { }

  ngOnInit() {
    this.getEducationalResources();
  }

  getEducationalResources(): void {
    this.groupService.getEducationalResources()
      .subscribe(resp => {
        this.eduresources = resp;
      });
  }

}
